Page MenuHomePhabricator

Edit preview: Right click on map should tell you the coordinates
Closed, ResolvedPublic

Description

This is to provide a solution to a Wikivoyage feature request:

Currently in the old map, when you right-click on any position, the geo coordinates are shown. That's useful for example to find a good set of geo coordinates when adding a mapframe to a page. It's even more important if you want to add geo coordinates to a listing. Xsobev (talk) 13:13, 13 June 2016 (UTC)
https://en.wikivoyage.org/wiki/Wikivoyage:Travellers%27_pub#Bugs_and_comments_about_the_new_maps

As @Yurik said,

"This is still under discussion - we want to cater to both readers and editors, so working on the design. In the mean time, you can see both the zoom and lat/long by making the map full screen, and looking at the URL - it has both. Also, Visual Editor allows an interactive adjustment of the map (granted that this is not applicable to templates) --Yurik (talk) 19:28, 13 June 2016 (UTC)"

Because this is very useful and requested by the editors, let's bring it back, as a first step in the edit preview mode only and then we will see.

Event Timeline

JGirault created this task.Jun 23 2016, 5:08 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 23 2016, 5:08 PM
JGirault moved this task from Backlog to In progress on the Maps-Sprint board.Jun 23 2016, 5:09 PM

Change 295737 had a related patch set uploaded (by JGirault):
Edit preview: Right click on map should tell you the coordinates

https://gerrit.wikimedia.org/r/295737

Change 295737 merged by jenkins-bot:
Edit preview: Right click on map should tell you the coordinates

https://gerrit.wikimedia.org/r/295737

JGirault closed this task as Resolved.Jun 29 2016, 6:32 PM